Downgade to 1.2.2

I just downloaded glyphs 1.3.4 but it doesnt work with leopard.
I unfortunatley already deleted the 1.2.2 version.
How can i get the old version that still works with leopard?

You can directly download the 1.2.2 version here:
http://glyphsapp.com/updates/Glyphs1.2.2.zip

And there is a pre release of an update for Leopard:
http://dl.dropbox.com/u/3563666/Glyphs1.2.4a.zip (This is a test release, so do not use it with production fonts)